gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.FeatureT

Contents

- Exported types
- Methods
- Properties
  - end
  - start
  - tag
  - value

Description

The `FeatureT` is the structure that holds information about requested feature application. The feature will be applied with the given value to all glyphs which are in clusters between `start` (inclusive) and `end` (exclusive). Setting start to `FEATURE_GLOBAL_START` and end to `HB_FEATURE_GLOBAL_END` specifies that the feature always applies to the entire buffer.

Synopsis

- newtype FeatureT = FeatureT (ManagedPtr FeatureT)
- newZeroFeatureT :: MonadIO m => m FeatureT
- getFeatureTEnd :: MonadIO m => FeatureT -> m Word32
- setFeatureTEnd :: MonadIO m => FeatureT -> Word32 -> m ()
- getFeatureTStart :: MonadIO m => FeatureT -> m Word32
- setFeatureTStart :: MonadIO m => FeatureT -> Word32 -> m ()
- getFeatureTTag :: MonadIO m => FeatureT -> m Word32
- setFeatureTTag :: MonadIO m => FeatureT -> Word32 -> m ()
- getFeatureTValue :: MonadIO m => FeatureT -> m Word32
- setFeatureTValue :: MonadIO m => FeatureT -> Word32 -> m ()

# Exported types

newtype FeatureT Source #

Memory-managed wrapper type.

Constructors

FeatureT (ManagedPtr FeatureT) |

#### Instances

Instances details

Eq FeatureT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FeatureT Methods (==) :: FeatureT -> FeatureT -> Bool Source # (/=) :: FeatureT -> FeatureT -> Bool Source #
GBoxed FeatureT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FeatureT
ManagedPtrNewtype FeatureT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FeatureT Methods toManagedPtr :: FeatureT -> ManagedPtr FeatureT Source #
TypedObject FeatureT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FeatureT Methods glibType :: IO GType Source #
HasParentTypes FeatureT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FeatureT
tag ~ 'AttrSet => Constructible FeatureT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.FeatureT Methods new :: MonadIO m => (ManagedPtr FeatureT -> FeatureT) -> [AttrOp FeatureT tag] -> m FeatureT Source #
IsGValue (Maybe FeatureT) Source # | Convert `FeatureT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.FeatureT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FeatureT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FeatureT) Source #
type ParentTypes FeatureT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FeatureT type ParentTypes FeatureT = '[] :: [Type]

newZeroFeatureT :: MonadIO m => m FeatureT Source #

Construct a `FeatureT` struct initialized to zero.

# Methods

# Properties

## end

the cluster to end applying this feature setting (exclusive).

getFeatureTEnd :: MonadIO m => FeatureT -> m Word32 Source #

Get the value of the “`end`” field. When overloading is enabled, this is equivalent to

    get featureT #end

setFeatureTEnd :: MonadIO m => FeatureT -> Word32 -> m () Source #

Set the value of the “`end`” field. When overloading is enabled, this is equivalent to

    set featureT [ #end := value ]

## start

the cluster to start applying this feature setting (inclusive).

getFeatureTStart :: MonadIO m => FeatureT -> m Word32 Source #

Get the value of the “`start`” field. When overloading is enabled, this is equivalent to

    get featureT #start

setFeatureTStart :: MonadIO m => FeatureT -> Word32 -> m () Source #

Set the value of the “`start`” field. When overloading is enabled, this is equivalent to

    set featureT [ #start := value ]

## tag

The `hb_tag_t` tag of the feature

getFeatureTTag :: MonadIO m => FeatureT -> m Word32 Source #

Get the value of the “`tag`” field. When overloading is enabled, this is equivalent to

    get featureT #tag

setFeatureTTag :: MonadIO m => FeatureT -> Word32 -> m () Source #

Set the value of the “`tag`” field. When overloading is enabled, this is equivalent to

    set featureT [ #tag := value ]

## value

The value of the feature. 0 disables the feature, non-zero (usually 1) enables the feature. For features implemented as lookup type 3 (like 'salt') the `value` is a one based index into the alternates.

getFeatureTValue :: MonadIO m => FeatureT -> m Word32 Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get featureT #value

setFeatureTValue :: MonadIO m => FeatureT -> Word32 -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set featureT [ #value := value ]